Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoVRMLTexture Class Reference

The SoVRMLTexture class is a superclass for VRML texture nodes. More...

`#include <Inventor/VRMLnodes/SoVRMLTexture.h>`

Inheritance diagram for SoVRMLTexture:

List of all members.

## Public Methods
virtual void | GLRender (SoGLRenderAction *action)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoSFBool | repeatS
SoSFBool | repeatT
## Protected Methods
| SoVRMLTexture (void)
virtual | ~SoVRMLTexture ()

## Detailed Description

The SoVRMLTexture class is a superclass for VRML texture nodes.

## Constructor & Destructor Documentation

SoVRMLTexture::SoVRMLTexture | ( | void |  | ) | `[protected]`

| Constructor.

SoVRMLTexture::~SoVRMLTexture | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLTexture::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode. Reimplemented in SoVRMLImageTexture, SoVRMLMovieTexture, and SoVRMLPixelTexture.

void SoVRMLTexture::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode. Reimplemented in SoVRMLImageTexture, SoVRMLMovieTexture, and SoVRMLPixelTexture.

## Member Data Documentation

SoSFBool SoVRMLTexture::repeatS

| TRUE if texure should be repeated in the S direction. Default is TRUE.

SoSFBool SoVRMLTexture::repeatT

| TRUE if texure should be repeated in the T direction. Default is TRUE.

The documentation for this class was generated from the following files:

- SoVRMLTexture.h
- Texture.cpp